# classes/phing/tasks/ext/simpletest/SimpleTestXmlResultFormatter.php

## \SimpleTestXmlResultFormatter
jump to top

Prints plain text output of the test to a specified Writer.

Extends from
  \SimpleTestResultFormatter
author
  Michiel Rook
package
  phing.tasks.ext.simpletest
since
  2.2.0
version
  $Id: SimpleTestXmlResultFormatter.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`\XmlReporter $logger= 'NULL'`

Default value `NULL` Details

Type
  \XmlReporter

`$xmlData= ''`
Details

Type

### Methods

`__construct( ) :`
`captureStart( ) :`
`captureStop( ) :`
`getExtension( ) :`
`getPreferredOutfile( ) :`
`paintCaseEnd( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintCaseStart( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintError( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintException( $exception ) :`
Parameters

Name | Type | Description
--- | --- | ---
$exception |  |

`paintFail( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintFormattedMessage( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintGroupEnd( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintGroupStart( $test_name, $size ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |
$size |  |

`paintMessage( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintMethodEnd( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintMethodStart( $test_name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test_name |  |

`paintPass( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

`paintSignal( $type, $payload ) :`
Parameters

Name | Type | Description
--- | --- | ---
$type |  |
$payload |  |

`paintSkip( $message ) :`
Parameters

Name | Type | Description
--- | --- | ---
$message |  |

Documentation was generated by DocBlox 0.13.1.